petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSAlphaGetParams

gets the algorithmic parameters for TSALPHA

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAlphaGetParams(TS ts,PetscReal *alpha_m,PetscReal *alpha_f,PetscReal *gamma)

Not Collective

### Input Parameter

ts -timestepping context

### Output Parameters

| \alpha_m | - algorithmic parameter
| \alpha_f | - algorithmic parameter
| \gamma | - algorithmic parameter

### Note

Use of this function is normally only required to hack TSALPHA to use a modified integration scheme. Users should call TSAlphaSetRadius() to set the high-frequency damping (i.e. spectral radius of the method) in order so select optimal values for these parameters.

### See Also

TSAlphaSetRadius(), TSAlphaSetParams()

### Level

advanced

### Location

src/ts/impls/implicit/alpha/alpha1.c

### Implementations

TSAlphaGetParams_Alpha in src/ts/impls/implicit/alpha/alpha1.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages